commit d2384a2f0f4b41b3ecd3e0cbfdd46c8471608fe7
Author: freddy77 <freddy77>
Date:   Sun Jul 25 10:02:56 2010 +0000

    add php test

diff --git a/ChangeLog b/ChangeLog
index 1243f3a..eb401f4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sun Jul 25 12:02:49 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* phptests/types.php: add php test
+
 Sun Jul 25 10:40:08 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h include/tds_sysdep_private.h include/tdsiconv.h:
 	* src/tds/mem.c src/tds/net.c src/tds/token.c src/tds/util.c:
@@ -2760,4 +2763,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3094 2010/07/25 08:40:18 freddy77 Exp $
+$Id: ChangeLog,v 1.3095 2010/07/25 10:02:56 freddy77 Exp $
diff --git a/phptests/types.php b/phptests/types.php
new file mode 100644
index 0000000..c865735
--- /dev/null
+++ b/phptests/types.php
@@ -0,0 +1,59 @@
+<?php
+
+// $Id: types.php,v 1.1 2010/07/25 10:02:56 freddy77 Exp $
+
+require_once("pwd.inc");
+
+$conn = odbc_connect($server,$user,$pass) or die("opps");
+
+$sql = <<<EOSQL
+CREATE TABLE php_types (
+	ui SMALLINT,
+	i INT,
+	ti TINYINT,
+	c CHAR(123),
+	vc VARCHAR(125)
+)
+EOSQL;
+
+odbc_exec($conn, "IF OBJECT_ID('php_types') IS NOT NULL DROP TABLE php_types") or die(odbc_errormsg());
+odbc_exec($conn, $sql) or die(odbc_errormsg());
+$sql = "select * from php_types";
+echo "Query: $sql\n";
+$result = odbc_exec($conn, $sql) or die(odbc_errormsg());
+
+$all = array (
+	'ui' => 'smallint-5',
+	'i'  => 'int-10',
+	'ti' => 'tinyint-3',
+	'c'  => 'char-123',
+	'vc' => 'varchar-125'
+);
+
+$err = '';
+$ok = 0;
+for($i=1;$i<=odbc_num_fields($result);$i++) {
+	$name = odbc_field_name($result,$i);
+	$type = odbc_field_type($result,$i);
+	$len = odbc_field_len($result,$i);
+	echo "column $name type $type len $len\n";
+	$type = strtolower($type);
+	if ($all[$name] != "$type-$len")
+		$err .= "Invalid column $name\n";
+	else
+		++$ok;
+}
+
+if ($ok != 5)
+	$err .= "Expected 5 columns\n";
+
+if ($err) {
+	echo "$err";
+	exit(1);
+}
+echo "all columns seems ok\n";
+
+odbc_exec($conn, "IF OBJECT_ID('php_types') IS NOT NULL DROP TABLE php_types") or die(odbc_errormsg());
+
+exit(0);
+?>

